## com.bbn.openmap.image
Class MapRequestFormatException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.bbn.openmap.image.MapRequestFormatException

All Implemented Interfaces:
  java.io.Serializable

public class MapRequestFormatException
extends java.lang.RuntimeException

See Also:
  Serialized Form

Constructor Summary
`MapRequestFormatException()` Constructs a `MapRequestFormatException` with `null` as its error message string.
`MapRequestFormatException(java.lang.String s)` Constructs a `MapRequestFormatException`, saving a reference to the error message string `s` for later retrieval by the `getMessage` method.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MapRequestFormatException

    public MapRequestFormatException()

  Constructs a `MapRequestFormatException` with `null` as its error message string.

### MapRequestFormatException

    public MapRequestFormatException(java.lang.String s)

  Constructs a `MapRequestFormatException`, saving a reference to the error message string `s` for later retrieval by the `getMessage` method.

Parameters:
  `s` - the detail message.

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details